Freeciv-3.2: eco_report Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
eco_report Class Reference

`#include <repodlgs.h>`

Inheritance diagram for eco_report:

## Public Member Functions

| eco_report ()
| ~eco_report ()
void | update_report ()
void | init ()

## Private Slots

void | disband_units ()
void | sell_buildings ()
void | sell_redundant ()
void | selection_changed (const QItemSelection &sl, const QItemSelection &ds)

## Private Attributes

QPushButton * | disband_button
QPushButton * | sell_button
QPushButton * | sell_redun_button
QTableWidget * | eco_widget
QLabel * | eco_label
int | index
int | curr_row
int | max_row
cid | uid
int | counter

## Detailed Description

Definition at line 208 of file repodlgs.h.

## Constructor & Destructor Documentation

## ◆ eco_report()

eco_report::eco_report | ( |  | ) |

Constructor for economy report

Definition at line 1208 of file repodlgs.cpp.

## ◆ ~eco_report()

eco_report::~eco_report | ( |  | ) |

Destructor for economy report

Definition at line 1259 of file repodlgs.cpp.

## Member Function Documentation

## ◆ disband_units

void eco_report::disband_units | ( |  | ) |

privateslot

Disband pointed units (in economy report)

Definition at line 1447 of file repodlgs.cpp.

Referenced by eco_report().

## ◆ init()

void eco_report::init | ( |  | ) |

Initializes place in tab for economy report

Definition at line 1267 of file repodlgs.cpp.

Referenced by economy_report_dialog_popup().

## ◆ selection_changed

void eco_report::selection_changed | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

privateslot

Action for selection changed in economy report

Definition at line 1399 of file repodlgs.cpp.

Referenced by eco_report().

## ◆ sell_buildings

void eco_report::sell_buildings | ( |  | ) |

privateslot

Sell all pointed buildings.

Definition at line 1484 of file repodlgs.cpp.

Referenced by eco_report().

## ◆ sell_redundant

void eco_report::sell_redundant | ( |  | ) |

privateslot

Sells redundant buildings

Definition at line 1527 of file repodlgs.cpp.

Referenced by eco_report().

## ◆ update_report()

void eco_report::update_report | ( |  | ) |

Refresh all widgets for economy report

Definition at line 1278 of file repodlgs.cpp.

Referenced by economy_report_dialog_popup(), and real_economy_report_dialog_update().

## Field Documentation

## ◆ counter

int eco_report::counter

private

Definition at line 228 of file repodlgs.h.

## ◆ curr_row

int eco_report::curr_row

private

Definition at line 225 of file repodlgs.h.

Referenced by init(), and selection_changed().

## ◆ disband_button

QPushButton* eco_report::disband_button

private

Definition at line 211 of file repodlgs.h.

Referenced by eco_report(), and selection_changed().

## ◆ eco_label

QLabel* eco_report::eco_label

private

Definition at line 215 of file repodlgs.h.

Referenced by eco_report(), and update_report().

## ◆ eco_widget

QTableWidget* eco_report::eco_widget

private

Definition at line 214 of file repodlgs.h.

Referenced by eco_report(), selection_changed(), and update_report().

## ◆ index

int eco_report::index

private

Definition at line 224 of file repodlgs.h.

Referenced by init().

## ◆ max_row

int eco_report::max_row

private

Definition at line 226 of file repodlgs.h.

Referenced by selection_changed(), and update_report().

## ◆ sell_button

QPushButton* eco_report::sell_button

private

Definition at line 212 of file repodlgs.h.

Referenced by eco_report(), and selection_changed().

## ◆ sell_redun_button

QPushButton* eco_report::sell_redun_button

private

Definition at line 213 of file repodlgs.h.

Referenced by eco_report(), and selection_changed().

## ◆ uid

cid eco_report::uid

private

Definition at line 227 of file repodlgs.h.

Referenced by disband_units(), selection_changed(), sell_buildings(), and sell_redundant().